Bug 1196140 - Rebase samba to 4.2.x in RHEL-7.2
Summary: Rebase samba to 4.2.x in RHEL-7.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 1226046 1226047 1226048 1226049
Blocks: 1181710 1204500 1238537
TreeView+ depends on / blocked
 
Reported: 2015-02-25 11:22 UTC by Sumit Bose
Modified: 2020-09-21 07:36 UTC (History)
6 users (show)

Fixed In Version: samba-4.2.2-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The samba packages have been upgraded to upstream version 4.2.3, which provides a number of bug fixes and enhancements over the previous version. Most notably, the "wbinfo -u" and "wbinfo -g" commands now only enumerate the users in their own domain by default. To enumerate all users on all trusted domains, run the "wbinfo --domain='*' -u" or "wbinfo --domain='*' -g" command.
Clone Of:
Environment:
Last Closed: 2015-11-19 09:10:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2258 normal SHIPPED_LIVE samba bug fix and enhancement update 2015-11-19 09:22:47 UTC

Description Sumit Bose 2015-02-25 11:22:44 UTC
Description of problem:
Besides the usual updates and improvements samba-4.2.x has improved support for SMB2 and SMB3 used by modern Windows versions.

Additionally 4.2.x is a requirement to be able to add features like https://bugzilla.redhat.com/show_bug.cgi?id=910464 or trust to FreeIPA/IdM . Those features will not be available in 4.2.x but will require it.

Comment 2 Andreas Schneider 2015-08-19 12:09:33 UTC
There is a change in behaviour of the commands 'wbinfo -u' and 'wbinfo -g'. By default the enumerate all users on all trusted domains which can lead to out of memory condition on large installations. Therefore the default has been changed to enumerate only over the own domain (the domain winbind is joined too). We still support the old behaviour, you can enable it with:

wbinfo --domain='*' -u

Comment 6 errata-xmlrpc 2015-11-19 09:10:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2258.html


Note You need to log in before you can comment on or make changes to this bug.